QGIS Application - Feature request #20102
Pre-render canvas outside of visible area
2018-10-1301:36 PM - Alexey T

Status: Feedback

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 27924
Description

Moving and zooming a map with many features is slow.

| propose to make some improvements.

1. Prerender some buffer area outside of canvas to make scrolling smoother

2. When zooming show resampled image of current canvas and then change it to rendered image.

History

#1 - 2018-10-14 11:10 AM - Saber Razmjooei
- Category changed from GUI to Map Canvas

#2 - 2018-10-14 11:13 AM - Saber Razmjooei
- Subject changed from Prender canvas outside of visible area to Pre-render canvas outside of visible area

#3 - 2018-10-14 10:24 PM - Giovanni Manghi
- Status changed from Open to Feedback

- Subject changed from Pre-render canvas outside of visible area to Prender canvas outside of visible area
- Category changed from Map Canvas to GU/

Tried to enable multi-core rendering?

#4 - 2018-10-15 09:53 AM - Alexey T

Yes.

| have 8-core CPU. Tried to disable and to enable multi-core rendering with 2,4,8 cores. It doesn't help much

#5 - 2018-10-15 09:59 AM - Giovanni Manghi
- Subject changed from Prender canvas outside of visible area to Pre-render canvas outside of visible area
- Status changed from Feedback to Open

#6 - 2018-10-17 11:40 AM - Martin Dobias
- Status changed from Open to Feedback

"Prerender some buffer area outside of canvas to make scrolling smoother"

We already do it (turned on by default but you can check "ggis/main_canvas_preview_jobs" advanced setting in options dialog).

"When zooming show resampled image of current canvas and then change it to rendered image."
We do that as well... when you zoom with mouse wheel, it zooms the most recently rendered map in/out - afterwards it starts real map rendering.

#7 - 2018-10-19 06:24 PM - Alexey T

This screenshot is taken while scrolling canvas in QGis 3.2.3

qgis/main_canvas_preview_jobs is set to true

"When zooming show resampled image of current canvas and then change it to rendered image."

Yes it is, but without buffer area

#8 - 2018-10-19 06:26 PM - Alexey T

- File test.jpg added

Files

test.jpg 253 KB 2018-10-19 Alexey T
